Bug 476177 - SELinux preventing synce working
SELinux preventing synce working
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 04:05 EST by Akira TAGOH
Modified: 2009-01-08 14:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 14:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-12-12 04:05:15 EST
Description of problem:
When I connect my smartphone to USB, I got some audit messages:

type=AVC msg=audit(1229072522.790:1976): avc:  denied  { read } for  pid=12741 comm="dhclient" name="dhclient.pid" dev=dm-1 ino=950607 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_var_run_t:s0 tclass=file
type=SYSCALL msg=audit(1229072522.790:1976): arch=c000003e syscall=2 success=yes exit=5 a0=45a63c a1=80000 a2=1b6 a3=7f4ffe4fc6f0 items=0 ppid=12738 pid=12741 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229072522.790:1977): avc:  denied  { getattr } for  pid=12741 comm="dhclient" path="/var/run/dhclient.pid" dev=dm-1 ino=950607 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_var_run_t:s0 tclass=file
type=SYSCALL msg=audit(1229072522.790:1977): arch=c000003e syscall=5 success=yes exit=0 a0=5 a1=7fff065181a0 a2=7fff065181a0 a3=1876290 items=0 ppid=12738 pid=12741 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229072522.801:1978): avc:  denied  { getsched } for  pid=12738 comm="hal-dccm" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=process
type=SYSCALL msg=audit(1229072522.801:1978): arch=c000003e syscall=143 success=yes exit=0 a0=31c2 a1=7f0400181ae8 a2=7fff081a2540 a3=7fff081a2270 items=0 ppid=2041 pid=12738 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229072522.907:1979): avc:  denied  { name_bind } for  pid=12738 comm="hal-dccm" src=990 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1229072522.907:1979): avc:  denied  { net_bind_service } for  pid=12738 comm="hal-dccm" capability=10 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=capability
type=SYSCALL msg=audit(1229072522.907:1979): arch=c000003e syscall=49 success=yes exit=0 a0=1 a1=7fff081a22f0 a2=10 a3=7fff081a2060 items=0 ppid=2041 pid=12738 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.5.13-26.fc10.noarch
dhclient-4.0.0-32.fc10.x86_64
synce-hal-0.1-1.fc10.x86_64

How reproducible:
always
Comment 1 Daniel Walsh 2008-12-12 09:25:51 EST
Is hal trying to bring  up the network?

Did you do this in permissive mode?  If not could you execute

semanage permissive -a hald_t

Gather all of the avc messages.

semanage permissive -d hald_t

TO put it back in enforcing.
Comment 2 Akira TAGOH 2008-12-18 03:44:42 EST
Yes, that looks like it. it's running in the permissive mode though, I was using different usb driver for my device. so logs looks different I've attached initially. anyway here is all of logs after semanage the above:

type=AVC msg=audit(1229589526.751:565): avc:  denied  { search } for  pid=26682 comm="ifconfig" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=dir
type=SYSCALL msg=audit(1229589526.751:565): arch=c000003e syscall=21 success=no exit=-2 a0=40c858 a1=4 a2=2 a3=7fffa92812b0 items=0 ppid=26679 pid=26682 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ifconfig" exe="/sbin/ifconfig" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229589526.933:566): avc:  denied  { getsched } for  pid=26679 comm="hal-dccm" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=process
type=SYSCALL msg=audit(1229589526.933:566): arch=c000003e syscall=143 success=yes exit=0 a0=6837 a1=7f04c4cfaae8 a2=7fffccd1c0b0 a3=316776da70 items=0 ppid=2191 pid=26679 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229589527.040:567): avc:  denied  { name_bind } for  pid=26679 comm="hal-dccm" src=990 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1229589527.040:567): avc:  denied  { node_bind } for  pid=26679 comm="hal-dccm" saddr=169.254.2.2 src=990 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:node_t:s0 tclass=tcp_socket
type=AVC msg=audit(1229589527.040:567): avc:  denied  { net_bind_service } for  pid=26679 comm="hal-dccm" capability=10 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=capability
type=SYSCALL msg=audit(1229589527.040:567): arch=c000003e syscall=49 success=yes exit=0 a0=1 a1=7fffccd1be60 a2=10 a3=7fffccd1be58 items=0 ppid=2191 pid=26679 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229589527.040:568): avc:  denied  { name_bind } for  pid=26679 comm="hal-dccm" src=5679 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1229589527.040:568): arch=c000003e syscall=49 success=yes exit=0 a0=2 a1=7fffccd1be60 a2=10 a3=7fffccd1be58 items=0 ppid=2191 pid=26679 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
Comment 3 Akira TAGOH 2008-12-18 03:55:14 EST
It seems not right. this should be all of logs:

type=AVC msg=audit(1229590427.187:617): avc:  denied  { read } for  pid=1184 comm="dhclient" name="dhclient.leases" dev=dm-1 ino=950618 scontext=system_u:system_r:hald_
t:s0 tcontext=system_u:object_r:dhcpc_state_t:s0 tclass=file
type=SYSCALL msg=audit(1229590427.187:617): arch=c000003e syscall=2 success=yes exit=0 a0=45ac20 a1=80000 a2=0 a3=0 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid
=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.188:618): avc:  denied  { getattr } for  pid=1184 comm="dhclient" path="/var/lib/dhclient/dhclient.leases" dev=dm-1 ino=950618 scontext=sy
stem_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_state_t:s0 tclass=file
type=SYSCALL msg=audit(1229590427.188:618): arch=c000003e syscall=5 success=yes exit=0 a0=5 a1=7fff8ebf6d50 a2=7fff8ebf6d50 a3=0 items=0 ppid=1182 pid=1184 auid=4294967
295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.195:619): avc:  denied  { write } for  pid=1184 comm="dhclient" name="dhclient.leases" dev=dm-1 ino=950618 scontext=system_u:system_r:hald
_t:s0 tcontext=system_u:object_r:dhcpc_state_t:s0 tclass=file
type=SYSCALL msg=audit(1229590427.195:619): arch=c000003e syscall=2 success=yes exit=5 a0=45ac20 a1=80241 a2=1b6 a3=7faa86bda6f0 items=0 ppid=1182 pid=1184 auid=4294967
295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.226:620): avc:  denied  { nlmsg_write } for  pid=1194 comm="ip" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 
tclass=netlink_route_socket
type=SYSCALL msg=audit(1229590427.226:620): arch=c000003e syscall=44 success=yes exit=32 a0=4 a1=7fff764dbd20 a2=20 a3=0 items=0 ppid=1185 pid=1194 auid=4294967295 uid=
0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ip" exe="/sbin/ip" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.228:621): avc:  denied  { create } for  pid=1184 comm="dhclient" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0
 tclass=packet_socket
type=AVC msg=audit(1229590427.228:621): avc:  denied  { net_raw } for  pid=1184 comm="dhclient" capability=13 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:sys
tem_r:hald_t:s0 tclass=capability
type=SYSCALL msg=audit(1229590427.228:621): arch=c000003e syscall=41 success=yes exit=6 a0=11 a1=3 a2=300 a3=7faa86bda6f0 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.228:622): avc:  denied  { ioctl } for  pid=1184 comm="dhclient" path="socket:[8619097]" dev=sockfs ino=8619097 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=packet_socket
type=SYSCALL msg=audit(1229590427.228:622): arch=c000003e syscall=16 success=yes exit=0 a0=6 a1=8933 a2=7fff8ebf6c80 a3=3 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.228:623): avc:  denied  { bind } for  pid=1184 comm="dhclient" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=packet_socket
type=SYSCALL msg=audit(1229590427.228:623): arch=c000003e syscall=49 success=yes exit=0 a0=6 a1=7fff8ebf6cb0 a2=14 a3=3 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.234:624): avc:  denied  { setopt } for  pid=1184 comm="dhclient" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=packet_socket
type=SYSCALL msg=audit(1229590427.234:624): arch=c000003e syscall=54 success=yes exit=0 a0=6 a1=107 a2=8 a3=7fff8ebf6d0c items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590427.234:625): avc:  denied  { name_bind } for  pid=1184 comm="dhclient" src=68 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_port_t:s0 tclass=udp_socket
type=AVC msg=audit(1229590427.234:625): avc:  denied  { node_bind } for  pid=1184 comm="dhclient" src=68 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:inaddr_any_node_t:s0 tclass=udp_socket
type=AVC msg=audit(1229590427.234:625): avc:  denied  { net_bind_service } for  pid=1184 comm="dhclient" capability=10 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=capability
type=SYSCALL msg=audit(1229590427.234:625): arch=c000003e syscall=49 success=yes exit=0 a0=7 a1=7fff8ebf6c40 a2=10 a3=7fff8ebf6c3c items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.000:626): avc:  denied  { write } for  pid=1184 comm="dhclient" path="socket:[8619097]" dev=sockfs ino=8619097 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=packet_socket
type=SYSCALL msg=audit(1229590430.000:626): arch=c000003e syscall=1 success=yes exit=342 a0=6 a1=7fff8ebf6732 a2=156 a3=0 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.003:627): avc:  denied  { read } for  pid=1184 comm="dhclient" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=packet_socket
type=SYSCALL msg=audit(1229590430.003:627): arch=c000003e syscall=47 success=yes exit=316 a0=6 a1=7fff8ebf54a0 a2=0 a3=7fff8ebf6c80 items=0 ppid=1182 pid=1184 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.083:628): avc:  denied  { search } for  pid=1227 comm="ifconfig" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=dir
type=SYSCALL msg=audit(1229590430.083:628): arch=c000003e syscall=21 success=no exit=-2 a0=40c858 a1=4 a2=2 a3=7fffbd3b42a0 items=0 ppid=1182 pid=1227 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ifconfig" exe="/sbin/ifconfig" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.086:629): avc:  denied  { getsched } for  pid=1182 comm="hal-dccm" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=process
type=SYSCALL msg=audit(1229590430.086:629): arch=c000003e syscall=143 success=yes exit=0 a0=49e a1=7f0111339ae8 a2=7fff1935c6f0 a3=316776da70 items=0 ppid=2191 pid=1182 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.192:630): avc:  denied  { name_bind } for  pid=1182 comm="hal-dccm" src=990 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1229590430.192:630): avc:  denied  { node_bind } for  pid=1182 comm="hal-dccm" saddr=169.254.2.2 src=990 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:node_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1229590430.192:630): arch=c000003e syscall=49 success=yes exit=0 a0=1 a1=7fff1935c4a0 a2=10 a3=7fff1935c498 items=0 ppid=2191 pid=1182 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229590430.193:631): avc:  denied  { name_bind } for  pid=1182 comm="hal-dccm" src=5679 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1229590430.193:631): arch=c000003e syscall=49 success=yes exit=0 a0=2 a1=7fff1935c4a0 a2=10 a3=7fff1935c498 items=0 ppid=2191 pid=1182 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-dccm" exe="/usr/libexec/hal-dccm" subj=system_u:system_r:hald_t:s0 key=(null)
Comment 4 Daniel Walsh 2008-12-18 09:50:15 EST
As a test can you label /usr/libexec/hal-dccm as networkmanager

chcon -t NetworkManager_exec_t /usr/libexec/hal-dccm

And see if everything works.
Comment 5 Akira TAGOH 2008-12-18 20:23:11 EST
that doesn't help in enforcing mode.

# ls -Z /usr/libexec/hal-dccm 
-rwxr-xr-x  root root system_u:object_r:NetworkManager_exec_t:s0 /usr/libexec/hal-dccm

When my device is connected, I got:
type=AVC msg=audit(1229648848.332:260): avc:  denied  { read } for  pid=15541 comm="dhclient" name="dhclient.leases" dev=dm-1 ino=950618 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_state_t:s0 tclass=file
type=SYSCALL msg=audit(1229648848.332:260): arch=c000003e syscall=2 success=no exit=-13 a0=45ac20 a1=80000 a2=0 a3=0 items=0 ppid=15540 pid=15541 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229648848.352:261): avc:  denied  { write } for  pid=15541 comm="dhclient" name="dhclient.leases" dev=dm-1 ino=950618 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:dhcpc_state_t:s0 tclass=file
type=SYSCALL msg=audit(1229648848.352:261): arch=c000003e syscall=2 success=no exit=-13 a0=45ac20 a1=80241 a2=1b6 a3=7fc4195e36f0 items=0 ppid=15540 pid=15541 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:hald_t:s0 key=(null)
type=AVC msg=audit(1229648848.380:262): avc:  denied  { nlmsg_write } for  pid=15551 comm="ip" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=netlink_route_socket
type=SYSCALL msg=audit(1229648848.380:262): arch=c000003e syscall=44 success=no exit=-13 a0=4 a1=7fff920ea930 a2=20 a3=0 items=0 ppid=15542 pid=15551 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ip" exe="/sbin/ip" subj=system_u:system_r:hald_t:s0 key=(null)

No rndis0 device is brought up. and audit logs still looks same in comment #3 in permissive mode.
Comment 6 Daniel Walsh 2009-01-08 14:04:43 EST
Added some fixes for this in selinux-policy-targeted-3.5.13-38.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.